Subject: Re: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: João Távora <[email-masked]>
Date: Thu, 4 Jan 2024 23:41:21 +0000

On Thu, Jan 4, 2024 at 11:05 PM Dmitry Gutov <[email-masked]> wrote:
>
> On 05/01/2024 01:02, João Távora wrote:
> > Hmmm, this would either mean stupendous and welcome
> > simplification in eglot-server-programs
>
> Probably not, if you want to keep compatibility with ts modes in Emacs 29.1.

Not a problem, could have my own derived-mode-all-parents thing
in the meantime.  Or could just copy the idea directly.  Or, yes, could
just wait.  The question remains tho: does this work every time?